READ_CACHE_PAGES(9)

NAME
read_cache_pages - populate an address space with some pages, and

SYNOPSIS

int read_cache_pages (struct address_space * mapping, struct list_head * pages, int (*filler) <funcparams>void *, struct page *</funcparams>, void * data);

ARGUMENTS

mapping
    the address_space

pages
    The address of a list_head which contains the target pages. These pages have their ->index populated and are otherwise uninitialised.

filler
    callback routine for filling a single page.

data
    private data for the callback routine.

DESCRIPTION

Hides the details of the LRU cache etc from the filesystems.

DESCRIPTION

Hides the details of the LRU cache etc from the filesystems.